Skip Menu |
 

This queue is for tickets about the HTML-Tree CPAN distribution.

Report information
The Basics
Id: 79900
Status: rejected
Priority: 0/
Queue: HTML-Tree

People
Owner: Nobody in particular
Requestors: boyapatimoni15 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: HTML_TreeBuilder Bug.
Date: Fri, 28 Sep 2012 12:21:12 +0530
To: bug-html-tree [...] rt.cpan.org
From: Boyapati Mohini <boyapatimoni15 [...] gmail.com>
Download (untitled) / with headers
text/plain 224b
My cureent HTML::TreeBuilder version is 3.13. I tried to update it to latest version. But its not getting updated. Attached is file contains the perl version and cpan log for HTML::TreeBuilder installation. Thanks Mohini

Message body is not shown because sender requested not to inline it.

Download (untitled) / with headers
text/plain 366b
You have a really old version of Perl (5.8.7 is over 7 years old now) and your "cpan" client doesn't know how to install a distribution that uses Module::Build. You should really install a current version of Perl (I recommend http://strawberryperl.com/), but you should be able to install HTML-Tree by upgrading your cpan client first (tell cpan to "install CPAN").
Download (untitled) / with headers
text/plain 620b
I just realized you have 2 problems. Aside from your cpan client being too old to know about Module::Build, you don't know how to use it. The command to install a module named "Module" is not "make install Module" like you are using. The "make" command simply builds the module but does not install it. So "make install HTML::TreeBuilder" actually means "please download and build the module named 'install' and the module named 'HTML::TreeBuilder' but do not install them". (There actually is a module named 'install': https://metacpan.org/module/install .) The correct syntax is just "install HTML::TreeBuilder".
Download (untitled) / with headers
text/plain 230b
On Fri Sep 28 04:17:11 2012, CJM wrote: Show quoted text
> I just realized you have 2 problems. Aside from your cpan client being > too old to know about Module::Build,
Why can’t you include a Makefile.PL as a fallback, the way version 4 did?
RT-Send-CC: sprout [...] cpan.org
Download (untitled) / with headers
text/plain 663b
On Fri, Sep 28, 2012 8:12:37 AM, SPROUT wrote: Show quoted text
> Why can’t you include a Makefile.PL as a fallback, the way version 4 did?
I suppose we could, but there's no supported version of Perl that can't handle Module::Build. 5.8.x and 5.10.x don't even get critical security updates anymore. Anybody who insists on using an obsolete version of Perl with up-to-date modules should expect a few other things need upgrading. Anyway, shipping a Makefile.PL wouldn't have affected his real problem; he didn't actually ask cpan to install TreeBuilder. If he had, the cpan-generated Makefile.PL might very well have worked. I didn't see any errors in the log he posted.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.